package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购单主单" , name = "ApiReqJcBillHg")
public class ApiReqJcBillHg {

	@Schema(description="回购单单号", required = true, example="HG202411180001")
	private String id;
	
	@Schema(description = "商品总金额", required = false, example = "4800")
	private Double subtotal;
	
	@Schema(description = "运费", required = true, example = "50")
	private Double freight;
	
	@Schema(description = "收货人姓名", required = true, example = "李四")
	private String consignee;
	
	@Schema(description = "收货人电话", required = true, example = "1888888888")
	private String consigneephone;
	
	@Schema(description = "省", required = false, example = "10001")
	private String province;
	
	@Schema(description = "省", required = true, example = "广东")
	private String provincename;
	
	@Schema(description = "市", required = false, example = "1000101")
	private String city;
	
	@Schema(description = "市", required = true, example = "广州")
	private String cityname;
	
	@Schema(description = "区", required = false, example = "100010101")
	private String area;
	
	@Schema(description = "区", required = true, example = "越秀区")
	private String areaname;
	
	@Schema(description = "详细地址", required = true, example = "东风24路")
	private String address;
	
	@Schema(description = "订单备注", required = false, example = "订单备注~~~")
	private String remark;
	
	@Schema(description = "运营备注", required = false, example = "运营备注~~~")
	private String remark1;

	@Schema(description = "提交人编码", required = true, example = "zhangsan")
	private String submit;
	
	@Schema(description = "提交人名称", required = true, example = "张三")
	private String submitname;
	
	@Schema(description = "回购支付明细", required = true, example = "")
	private List<ApiReqJcBillPayment> payments; 
	
	public List<ApiReqJcBillPayment> getPayments() {
		return payments;
	}

	public void setPayments(List<ApiReqJcBillPayment> payments) {
		this.payments = payments;
	}

	public String getSubmit() {
		return submit;
	}

	public void setSubmit(String submit) {
		this.submit = submit;
	}

	public String getSubmitname() {
		return submitname;
	}

	public void setSubmitname(String submitname) {
		this.submitname = submitname;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Double getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(Double subtotal) {
		this.subtotal = subtotal;
	}

	public Double getFreight() {
		return freight;
	}

	public void setFreight(Double freight) {
		this.freight = freight;
	}

	public String getConsignee() {
		return consignee;
	}

	public void setConsignee(String consignee) {
		this.consignee = consignee;
	}

	public String getConsigneephone() {
		return consigneephone;
	}

	public void setConsigneephone(String consigneephone) {
		this.consigneephone = consigneephone;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getProvincename() {
		return provincename;
	}

	public void setProvincename(String provincename) {
		this.provincename = provincename;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCityname() {
		return cityname;
	}

	public void setCityname(String cityname) {
		this.cityname = cityname;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getAreaname() {
		return areaname;
	}

	public void setAreaname(String areaname) {
		this.areaname = areaname;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRemark1() {
		return remark1;
	}

	public void setRemark1(String remark1) {
		this.remark1 = remark1;
	}
}
